import React from "react";

function Block({ block = {}, color, onClick }) {
  const handleOnClick = () => {
    onClick(block);
  };
  return (
    <div
      className="Block"
      data-x={block.x}
      data-y={block.y}
      data-testid={`${block.x}-${block.y}`}
      style={{ backgroundColor: color }}
      onClick={handleOnClick}
    />
  );
}

export default Block;
